Jump to content

Photo

The Dance of Death 4.0


  • Please log in to reply
10 replies to this topic

#1
AzarelHrafin

AzarelHrafin

    Knight of Dusk

  • Supporter
  • PipPipPip
  • 551 posts
With the release of SkyUI 3.0, and the impending release of Dragonborn, there have been a lot of changes made to The Dance of Death of late, so this brief article will seek to clarify a few important facts about the new versions of TDoD that are coming up.

-Version 3.9 will be released as soon as beta testing is finished. 3.9 requires Dawnguard and SkyUI 3.0, as well as the most up-to-date versions of Skyrim and SKSE.

-Version 4.0 will be the Dragonborn release number, and will be published once Dragonborn has been released and the necessary changes have been made to The Dance of Death to accommodate the new DLC. 4.0 will require Dragonborn as well as Dawnguard and SkyUI 3.0, and the most up-to-date versions of Skyrim and SKSE upon release.

When upgrading to either of these versions, YOU MUST:

1: Completely remove any old versions of TDoD from your Data directory. If you have used the NMM to install TDoD, simply deactivate the mod. If you have manually installed TDoD, you must manually remove all of these files. This includes The Dance of Death.esp and .bsa from previous versions if applicable, but also the loose files listed below:

-\meshes\clutter\books\DanceofDeathAsset.nif
-\meshes\clutter\books\DanceofDeathBook.nif
-\textures\clutter\books\DanceofDeathBookFront.dds
-\textures\clutter\books\DanceofDeathBookFront_n.dds
-\textures\clutter\books\DanceofDeathBookFront_em.dds
-\textures\clutter\books\DanceofDeathBookBack.dds
-\textures\clutter\books\DanceofDeathBookBack_n.dds
-\scripts\DanceOfDeathAddspell.pex
-\scripts\DanceOfDeathMenuScript.pex
-\scripts\source\DanceOfDeathAddspell.psc
-\scripts\source\DanceOfDeathMenuScript.psc

2: Load your savegame and perform a clean save into a new slot. (No waiting necessary)

3: Enable the new version of TDoD.


Thanks to everyone for their constant support and feedback, and let us know your thoughts on the new MCM system.

-Daedalus

#2
calfurius

calfurius

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,071 posts
Oh boy i need to buy the DLC's to get mods that have very little to do with said DLC (like why do I need Dawnguard and Dragonborn to download these mods? What do kill moves have to do with vampires and Solstheim?)

#3
erelde

erelde

    Enthusiast

  • Supporter
  • PipPip
  • 215 posts
Because each DLCs bring new things to use for modders, if you want to enjoy all of the mod created you need to have the same DLCs as the modder, so if ONE modder gets all DLCs, all of them must buy all DLCs.

Simple as domino.

#4
MatrixCoder

MatrixCoder

    Old hand

  • Banned
  • PipPipPip
  • 564 posts
Testing out the 3.9 Dawnguard Beta version now... going to give feedback.

#5
GPM26

GPM26

    Fan

  • Members
  • PipPipPip
  • 386 posts
I have latest skse but I hate skyui, eventhough its an amazing mod. DO I REALLY HAVE TO USE SKYUI with 3.9 Dawngaurd. sorry for caps. Its just Skyrim is boring without the Dance of Death mod

#6
Azakiel

Azakiel

    Fan

  • Members
  • PipPipPip
  • 425 posts
In response to post #7094739.

SkyUI is now required to make use of the Mod Configuration Menu which replaces the old configuration method used by this mod.

If you don't like the changes to your UI that SkyUI causes, but still want to be able to use the MCM (and by extension the latest versions of this mod) you could always download SkyUI-Away (http://skyrim.nexusmods.com/mods/29440)

#7
leon835

leon835

    Stranger

  • Members
  • Pip
  • 1 posts
Sorry just had a look above


#8
Cyrokos

Cyrokos

    Regular

  • Members
  • PipPip
  • 57 posts
In response to post #7040735.

Easy, it may not have a thing to do with it specifically however... Gargoyles were added and Deathhounds. He added kill moves for those. In Dragonborn, Ash Spawns are added, there are killmoves added for those. On top of that, scripting has to be put in place to allow the killmoves to work on said monsters and areas. Anytime a DLC is added, something in your Official file changes. Where the mod will still work if you download the vanilla one when you have the DLC, it can cause CTD's in the added areas but that isn't quite as likley. The Author has a file that doesn't require the DLC's.

Do some research on Papyrus (The script program Bethesda uses for Skyrim). Anyone who installs mods should so they know risks of installing, uninstalling, and getting proper mods that match the DLC's they have, or don't have. Knowing the mere basics of what scripting is will help you understand how to prevent CTD's and why some mod's require certain things. Hope this was helpful :)

#9
alien0101

alien0101

    Stranger

  • Members
  • Pip
  • 1 posts
i cant get it to work
i do all stages and it doesnt work'


#10
JuliusYoga

JuliusYoga

    Stranger

  • Members
  • Pip
  • 1 posts
In response to post #15198648.

me too , why it doesn't work




Page loaded in: 2.126 seconds